Bug 89510 - Enable spellcheck option "Check uppercase words" by default
Summary: Enable spellcheck option "Check uppercase words" by default
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high trivial
Assignee: Julien Nabet
URL:
Whiteboard: target:5.0.0 target:4.4.4
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-20 21:21 UTC by Me
Modified: 2015-07-21 06:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of default spellcheck missing all capitalized mispelled words. (49.90 KB, image/png)
2015-02-20 21:21 UTC, Me
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Me 2015-02-20 21:21:33 UTC
Created attachment 113560 [details]
Screenshot of default spellcheck missing all capitalized mispelled words.

By default the spellcheck option "Check uppercase words" is disabled. This option should be enabled by default as it allows all capitalized mispelled words to remain in important documents that typically make use of all caps headers including resumes, reports, etc.

I was personally bitten by this bug already in a critical document and cannot believe that this option is disabled by default. It is much less harmful to enable this option by default and have a user disable it if they choose to.

I want to continue to use Libre Office but more sensical defaults like this need to be enabled to match those of larger office suites. Egg-on-the-face moments like this are what cause users to stop using software.
Comment 1 Adolfo Jayme 2015-05-02 11:38:53 UTC
@Julien: you might be interested in taking this one; feel free to remove yourself from CC if it’s not your turf :)
Comment 2 Commit Notification 2015-05-02 13:32:11 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e2e525cba6e6e1b1682934265a807ad7f94d79c

tdf#89510: Enable "Check uppercase words" by default

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-05-02 13:42:00 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa2c7cb6d34de5ba673bb17d0d0d51ee08e06f8b&h=libreoffice-4-4

tdf#89510: Enable "Check uppercase words" by default

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2015-05-02 13:43:31 UTC
Don't hesitate Adolfo to cc me if you've got other ones like this :-)
If it's enough "low hanging fruit" for me, I can give a try! :-)